package types

type MessageMode uint

const (
	MODE_HEX_BINARY MessageMode = iota
	MODE_UTF8
	MODE_ASCII
)

func (m MessageMode) ToString() string {
	return []string{
		"HexBinary",
		"UTF-8",
		"ASCII",
	}[m]
}
