package conn

import (
	"context"

	"github.com/coder/websocket"
)

type WebSocketConn struct {
	c *websocket.Conn
}

func DialWebSocket(ctx context.Context, url string) (*WebSocketConn, error) {
	c, _, err := websocket.Dial(ctx, url, nil)
	if err != nil {
		return nil, err
	}
	return &WebSocketConn{c: c}, nil
}
